org.eclipse.wst.jsdt.chromium.debug.ui

## Class ChromiumJavascriptDecorator

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.ChromiumJavascriptDecorator

    public class ChromiumJavascriptDecorator
    extends java.lang.Object

A decorator that removes the ".chromium" file extension in the Project Explorer for the Debug Javascript project files.

### Constructor Summary

Constructors
Constructor and Description
`ChromiumJavascriptDecorator()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addListener(ILabelProviderListener listener)`
`Image` `decorateImage(Image image, java.lang.Object element)`
`java.lang.String` `decorateText(java.lang.String text, java.lang.Object element)`
`void` `dispose()`
`static java.lang.String` `getDecoratedText(java.lang.String text, java.lang.Object element)`
`boolean` `isLabelProperty(java.lang.Object element, java.lang.String property)`
`void` `removeListener(ILabelProviderListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChromiumJavascriptDecorator

    public ChromiumJavascriptDecorator()

### Method Detail

#### decorateImage

    public Image decorateImage(Image image,
                               java.lang.Object element)

#### decorateText

    public java.lang.String decorateText(java.lang.String text,
                                         java.lang.Object element)

#### getDecoratedText

    public static java.lang.String getDecoratedText(java.lang.String text,
                                                    java.lang.Object element)

Parameters:
  `text` - the original label of the element
  `element` - must be an IFile instance
Returns:
  a decorated element label, or the original one if the label need not be decorated or there was a CoreException reading the element's project natures

#### addListener

    public void addListener(ILabelProviderListener listener)

#### dispose

    public void dispose()

#### isLabelProperty

    public boolean isLabelProperty(java.lang.Object element,
                                   java.lang.String property)

#### removeListener

    public void removeListener(ILabelProviderListener listener)